
%define stversion 20050830

%define _libmoddir /lib/modules

%{!?kernel:%define kernel %(rpm -q kernel-source kernel-devel --qf "%{RPMTAG_VERSION}-%{RPMTAG_RELEASE}\\n" | tail -1)}

%define kversion %(echo "%{kernel}" | sed -e 's|-.*||')
%define krelease %(echo "%{kernel}" | sed -e 's|.*-||')


%define moduledir /kernel/drivers/scsi/

%define kext ko

%define module st.%{kext}_upd
%define module_org st.%{kext}

Summary: (Patched) Linux driver for SCSI tape (st).
Name: kernel-module-st-%{kernel}
Version: 1.0.%{stversion}
Epoch: 0
Release: 1.slc5
License: GPL
Group: System Environment/Kernel
ExclusiveArch: i686 x86_64 ia64

Packager: Jaroslaw Polok <jaroslaw.polok@cern.ch>
Vendor: CERN, http://cern.ch/linux

Source: st-%{stversion}.tar.gz
BuildRoot: %{_tmppath}/root-%{name}-%{version}
Prefix: %{_prefix}

BuildRequires: kernel-devel = %{kernel}

Requires: kernel-%{_target_cpu} = %{kernel}

Provides: kernel-module
Provides: kernel-module-st = %{epoch}:%{version}-%{release}

%package -n st-driver
Summary: (Patched) Linux driver for SCSI tape (st).
Group: System Environment/Kernel
Requires: kernel-module-st

%description
(Patched) Linux driver for SCSI tape (st).
patches included:
  - MTIOCSENSE

These drivers are built for kernel %{kversion}-%{krelease}
and architecture %{_target_cpu}.

%description -n st-driver
(Patched) Linux driver for SCSI tape (st).
patches included:
  - MTIOCSENSE

(you will also need kernel-module-st package(s))

%prep
%setup -n st-%{stversion}/

%build
%{__rm} -rf %{buildroot}
echo -e "\nDriver version: %{version}\nKernel version: %{kernel}\n"

make -C /lib/modules/%{kversion}-%{krelease}/build/ M=`pwd` modules

%install

mv %{module_org} %{module}

%{__install} -d -m0755 %{buildroot}%{_libmoddir}/%{kversion}-%{krelease}%{moduledir}
%{__install} -m0644 %{module} %{buildroot}%{_libmoddir}/%{kversion}-%{krelease}%{moduledir}

%postun
 /bin/mv /lib/modules/%{kernel}/%{moduledir}/%{module_org} /lib/modules/%{kernel}/%{moduledir}/%{module} &&
 /bin/mv /lib/modules/%{kernel}/%{moduledir}/%{module_org}_org /lib/modules/%{kernel}/%{moduledir}/%{module_org} ||:

 /sbin/depmod -aeF /boot/System.map-%{kernel} %{kernel} > /dev/null || :
 /sbin/mkinitrd --allow-missing -f /boot/initrd-%{kernel}.img %{kernel} > /dev/null || :

%post
 /bin/mv /lib/modules/%{kernel}/%{moduledir}/%{module_org} /lib/modules/%{kernel}/%{moduledir}/%{module_org}_org &&
 /bin/mv /lib/modules/%{kernel}/%{moduledir}/%{module} /lib/modules/%{kernel}/%{moduledir}/%{module_org} ||:

 /sbin/depmod -aeF /boot/System.map-%{kernel} %{kernel} > /dev/null || :
 /sbin/mkinitrd --allow-missing -f /boot/initrd-%{kernel}.img %{kernel} > /dev/null || :

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%{_libmoddir}/%{kversion}-%{krelease}%{moduledir}/*

%files -n st-driver
%defattr(-,root,root,-)
%doc st.txt 
%doc mtio.h
%doc st-mtiocsense.patch
%doc README

%changelog
* Wed Sep 24 2008 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- Initial SLC5 package
